be.ehealth.businessconnector.chapterIV.wrapper.impl

## Class ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper<ConsultChap4MedicalAdvisorAgreementRequest>
  - - be.ehealth.businessconnector.chapterIV.wrapper.impl.ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl

- All Implemented Interfaces:
    Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>, WrappedXmlObject<ConsultChap4MedicalAdvisorAgreementRequest>, Serializable

      public class ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl
      extends AbstractWrapper<ConsultChap4MedicalAdvisorAgreementRequest>
      implements Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>

  wraps generated xml class in wrapper that implements an interface. workaround for the fact that the generated code have actually implement common interface, but share no hieararchy or java interface. changing the xsd is not an option at the moment. Implements : `Chap4MedicalAdvisorAgreementRequestWrapper`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl()`
    `ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl(ConsultChap4MedicalAdvisorAgreementRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareReceiverIdType` | `getCareReceiver()` Gets the value of the careReceiver property.
    `CommonInputType` | `getCommonInput()` Gets the value of the commonInput property.
    `RecordCommonInputType` | `getRecordCommonInput()` Gets the value of the recordCommonInput property.
    `SecuredContentType` | `getRequest()` Gets the value of the request property.
    `void` | `setCareReceiver(CareReceiverIdType value)` Sets the value of the careReceiver property.
    `void` | `setCommonInput(CommonInputType value)` Sets the value of the commonInput property.
    `void` | `setRecordCommonInput(RecordCommonInputType value)` Sets the value of the recordCommonInput property.
    `void` | `setRequest(SecuredContentType value)` Sets the value of the request property.

    - ### Methods inherited from class be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper

      `getXmlObject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.businessconnector.chapterIV.wrapper.WrappedXmlObject

      `getXmlObject`

- - ### Constructor Detail

    - #### ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl

          public ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl()

    - #### ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl

          public ConsultChap4MedicalAdvisorAgreementRequestWrapperImpl(ConsultChap4MedicalAdvisorAgreementRequest request)

      Parameters:
        `request` -

  - ### Method Detail

    - #### getCommonInput

          public CommonInputType getCommonInput()

      Description copied from interface: `Chap4MedicalAdvisorAgreementRequestWrapper`
      Gets the value of the commonInput property.
      Specified by:
        `getCommonInput` in interface `Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>`
      Returns:
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementRequestType#getCommonInput()`

    - #### setCommonInput

          public void setCommonInput(CommonInputType value)

      Description copied from interface: `Chap4MedicalAdvisorAgreementRequestWrapper`
      Sets the value of the commonInput property.
      Specified by:
        `setCommonInput` in interface `Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>`
      Parameters:
        `value` -
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementRequestType#setCommonInput(be.fgov.ehealth.chap4.core.v1.CommonInputType)`

    - #### getRecordCommonInput

          public RecordCommonInputType getRecordCommonInput()

      Description copied from interface: `Chap4MedicalAdvisorAgreementRequestWrapper`
      Gets the value of the recordCommonInput property.
      Specified by:
        `getRecordCommonInput` in interface `Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>`
      Returns:
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementRequestType#getRecordCommonInput()`

    - #### setRecordCommonInput

          public void setRecordCommonInput(RecordCommonInputType value)

      Description copied from interface: `Chap4MedicalAdvisorAgreementRequestWrapper`
      Sets the value of the recordCommonInput property.
      Specified by:
        `setRecordCommonInput` in interface `Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>`
      Parameters:
        `value` -
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementRequestType#setRecordCommonInput(be.fgov.ehealth.chap4.core.v1.RecordCommonInputType)`

    - #### getCareReceiver

          public CareReceiverIdType getCareReceiver()

      Description copied from interface: `Chap4MedicalAdvisorAgreementRequestWrapper`
      Gets the value of the careReceiver property.
      Specified by:
        `getCareReceiver` in interface `Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>`
      Returns:
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementRequestType#getCareReceiver()`

    - #### setCareReceiver

          public void setCareReceiver(CareReceiverIdType value)

      Description copied from interface: `Chap4MedicalAdvisorAgreementRequestWrapper`
      Sets the value of the careReceiver property.
      Specified by:
        `setCareReceiver` in interface `Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>`
      Parameters:
        `value` -
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementRequestType#setCareReceiver(be.fgov.ehealth.chap4.core.v1.CareReceiverIdType)`

    - #### getRequest

          public SecuredContentType getRequest()

      Description copied from interface: `Chap4MedicalAdvisorAgreementRequestWrapper`
      Gets the value of the request property.
      Specified by:
        `getRequest` in interface `Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>`
      Returns:
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementRequestType#getRequest()`

    - #### setRequest

          public void setRequest(SecuredContentType value)

      Description copied from interface: `Chap4MedicalAdvisorAgreementRequestWrapper`
      Sets the value of the request property.
      Specified by:
        `setRequest` in interface `Chap4MedicalAdvisorAgreementRequestWrapper<ConsultChap4MedicalAdvisorAgreementRequest>`
      Parameters:
        `value` -
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementRequestType#setRequest(be.fgov.ehealth.chap4.core.v1.SecuredContentType)`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.